## org.eclipse.amp.amf.acore.edit.commands.test
Class NewContextMemberGenCondition

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.NewContextMemberGenCondition

All Implemented Interfaces:
  PrePostAsserts

Direct Known Subclasses:
  NewAgentGenCondition, NewSubcontextGenCondition

    public class NewContextMemberGenCondition

extends PrePostCondition

Constructor Summary
`NewContextMemberGenCondition()`

Method Summary
`void` `postCondition()`
`void` `postCondition(int index)`
`void` `preCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewContextMemberGenCondition

    public NewContextMemberGenCondition()

Method Detail

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`
  Overrides:
    `preCondition` in class `PrePostCondition`

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`
  Overrides:
    `postCondition` in class `PrePostCondition`

### postCondition

    public void postCondition(int index)